package com.sckw.system.dao;

import com.sckw.system.model.KwsEntType;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 企业类型
 * @author zk
 * @date 2023-06-02
 */
@Mapper
public interface KwsEntTypeDao {
    /**
     * 新增
     * @param record
     * @return
     */
    int insert(KwsEntType record);

    /**
     * 更新
     * @param record
     * @return
     */
    int update(KwsEntType record);

    /**
     * 查询
     * @param 主键Id
     * @return
     */
    List<KwsEntType> findList(Long id);

    /**
     * @param entId 企业id
     * @return KwsEntType
     * @desc: 根据企业id查
     * @author: czh
     * @date: 2023/6/19
     */
    List<KwsEntType> findListByEntId(Long entId);

    List<KwsEntType> findApprovalByEntId(Long entId);

    /**
     * @param entId 企业ids
     * @return KwsEntType
     * @desc: 根据企业id查-批量
     * @author: czh
     * @date: 2023/6/19
     */
    List<KwsEntType> findListByEntIds(List<Long> list);

    /**
     * 批量插
     * @param list
     * @return
     */
    int saveBatch(@Param(value = "list") List<KwsEntType> list);
}